uk.gov.hmrc.githubclient

# GithubApiClient

###
Related Docs: object GithubApiClient | package githubclient

#### trait GithubApiClient extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GithubApiClient
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val contentsService: ExtendedContentsService

2. #### abstract val orgService: OrganizationService

3. #### abstract val releaseService: ReleaseService

4. #### abstract val repositoryService: RepositoryService

5. #### abstract val teamService: ExtendedTeamService

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addRepoToTeam(orgName: String, repoName: String, teamId: Int)(implicit ec: ExecutionContext): Future[Unit]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def containsRepo(orgName: String, repoName: String)(implicit ec: ExecutionContext): Future[Boolean]

8. #### def createFile(orgName: String, repoName: String, pathAndFileName: String, contents: String, message: String)(implicit ec: ExecutionContext): Future[Unit]

9. #### def createHook(orgName: String, repoName: String, hookName: String, config: Map[String, String], active: Boolean = true)(implicit ec: ExecutionContext): Future[RepositoryHook]

10. #### def createRepo(orgName: String, repoName: String)(implicit ec: ExecutionContext): Future[String]

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def getFileContent(path: String, repoName: String, orgName: String)(implicit ec: ExecutionContext): Future[Option[String]]

16. #### def getOrganisations(implicit ec: ExecutionContext): Future[List[GhOrganisation]]

17. #### def getReleases(org: String, repoName: String)(implicit ec: ExecutionContext): Future[List[GhRepoRelease]]

18. #### def getReposForTeam(teamId: Long)(implicit ec: ExecutionContext): Future[List[GhRepository]]

19. #### def getTags(org: String, repoName: String)(implicit ec: ExecutionContext): Future[List[String]]

20. #### def getTeamsForOrganisation(org: String)(implicit ec: ExecutionContext): Future[List[GhTeam]]

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def repoContainsContent(path: String, repoName: String, orgName: String)(implicit ec: ExecutionContext): Future[Boolean]

27. #### def repositoryId(repoName: String, orgName: String): IRepositoryIdProvider

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def teamId(orgName: String, team: String)(implicit ec: ExecutionContext): Future[Option[Int]]

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped